#import "Controller.h"

@implementation Controller

//	Command execution
- (IBAction)command1:(id)sender
{	NSLog( @"Command 1 executed" );
}

@end

@implementation Controller(NSMenuValidation)

//	AppKit will call this if we are the object that would receive the action message.
//	As we directly connected the NSMenuItem to us, we always be the receiver for this menu item. See CommandView for an example using the responder chain
- (BOOL)validateMenuItem:(id <NSMenuItem>)menuItem
{	if ([menuItem action]==@selector(command1:))
		return [itsCommand1Switch intValue]!=0;

		//	This should not happend in the example. In real world, you superclass may implement the NSMenuValidation protocol, so you may want to use return [super validateMenuItem:menuItem];
	return YES;
}


@end
